<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.device.mapper.LineDetailMapper">

    <select id="getLineDetail" resultType="LineDetail">
        select b.* from pq_line a
        inner join pq_line_detail b on a.id=b.id
        where
            find_in_set(#{devIndex}, a.pids)
        and a.state = 1
        and b.Num in
        <foreach collection="num" item="item" open="(" close=")" separator=",">
            #{item}
        </foreach>
    </select>

</mapper>
